package com.ffii.core.common.file.dao;

import java.util.Optional;

import com.ffii.core.common.file.entity.FileRef;
import com.ffii.core.support.AbstractDao;

/** @author Fung */
public interface FileRefDao extends AbstractDao<FileRef, Integer> {
  public Optional<FileRef> findByFileId(int fileId);

  public Optional<FileRef> findByRefType(String refType);

  public Optional<FileRef> findByRefTypeAndRefId(String refType, int refId);

  public int deleteByFileId(int fileId);
}
